summaryrefslogtreecommitdiffstats
path: root/games/wolf4sdl/wolf4sdl.SlackBuild
diff options
context:
space:
mode:
author B. Watson2014-09-05 19:41:31 +0200
committer Willy Sudiarto Raharjo2014-09-05 19:41:31 +0200
commiteee86e8329d10433ccacf7c939bff2cc28f1d3b6 (patch)
treec24f729f22aa1db7404182aec16d8a4d48e9da14 /games/wolf4sdl/wolf4sdl.SlackBuild
parent3de7a6405c23eea27594f3255572fa60efd1234f (diff)
downloadslackbuilds-eee86e8329d10433ccacf7c939bff2cc28f1d3b6.tar.gz
games/wolf4sdl: Added (Wolfenstein 3D engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/wolf4sdl/wolf4sdl.SlackBuild')
-rw-r--r--games/wolf4sdl/wolf4sdl.SlackBuild138
1 files changed, 138 insertions, 0 deletions
diff --git a/games/wolf4sdl/wolf4sdl.SlackBuild b/games/wolf4sdl/wolf4sdl.SlackBuild
new file mode 100644
index 0000000000..141200bf08
--- /dev/null
+++ b/games/wolf4sdl/wolf4sdl.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Slackware build script for wolf4sdl
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=wolf4sdl
+VERSION=${VERSION:-1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=Wolf4SDL
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-src
+unzip $CWD/$SRCNAM-$VERSION-src.zip
+cd $SRCNAM-$VERSION-src
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# look for game data files in /usr/share/games/wolf3d
+patch -p1 < $CWD/datadir.diff
+
+# show correct executable name in usage message (instead of Wolf4SDL)
+patch -p1 < $CWD/exename.diff
+
+# don't use 'make install', do it manually.
+mkdir -p $PKG/usr/games $PKG/usr/share/games/wolf3d
+
+# Unfortunately, we need 4 separate game binaries for the 4 different
+# supported games...
+
+# Wolfenstein 3D 1.4 Shareware/Demo
+cat <<EOF >config.slack
+CFLAGS=$SLKCFLAGS -DVERSIONALREADYCHOSEN -DCARMACIZED -DUPLOAD
+EOF
+make CONFIG=config.slack PREFIX=/usr
+install -m0755 -s wolf3d $PKG/usr/games/$PRGNAM-wolf-demo
+
+# Wolfenstein 3D 1.4 Full/Registered (GT/ID/Activision)
+# NOTE: If the game complains about your data files being incompatible,
+# you might have the old Apogee 1.4 release. Try removing the -DGOODTIMES
+# below. For other versions, see version.h in the source (or else patch
+# them up to 1.4).
+make clean
+cat <<EOF >config.slack
+CFLAGS=$SLKCFLAGS -DVERSIONALREADYCHOSEN -DCARMACIZED -DGOODTIMES
+EOF
+make CONFIG=config.slack PREFIX=/usr
+install -m0755 -s wolf3d $PKG/usr/games/$PRGNAM-wolf-full
+
+# Spear of Destiny 1.4 Demo
+make clean
+cat <<EOF >config.slack
+CFLAGS=$SLKCFLAGS -DVERSIONALREADYCHOSEN -DCARMACIZED -DSPEAR -DSPEARDEMO
+EOF
+make CONFIG=config.slack PREFIX=/usr
+install -m0755 -s wolf3d $PKG/usr/games/$PRGNAM-spear-demo
+
+# Spear of Destiny 1.4 Full/Registered
+make clean
+cat <<EOF >config.slack
+CFLAGS=$SLKCFLAGS -DVERSIONALREADYCHOSEN -DCARMACIZED -DSPEAR -DGOODTIMES
+EOF
+make CONFIG=config.slack PREFIX=/usr
+install -m0755 -s wolf3d $PKG/usr/games/$PRGNAM-spear-full
+
+# Wolfenstein 3D demo data
+unzip $CWD/wolfdata.zip
+mv *.wl1 $PKG/usr/share/games/wolf3d
+chmod 644 $PKG/usr/share/games/wolf3d/*.wl1
+
+# Spear of Destiny demo data
+unzip $CWD/sdmdata.zip
+mv *.sdm $PKG/usr/share/games/wolf3d
+chmod 644 $PKG/usr/share/games/wolf3d/*.sdm
+
+# man page written for this build
+mkdir -p $PKG/usr/man/man6
+gzip -9c < $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+ln -s $PRGNAM.6.gz $PKG/usr/man/man6/$PRGNAM-wolf-demo.6.gz
+ln -s $PRGNAM.6.gz $PKG/usr/man/man6/$PRGNAM-wolf-full.6.gz
+ln -s $PRGNAM.6.gz $PKG/usr/man/man6/$PRGNAM-spear-demo.6.gz
+ln -s $PRGNAM.6.gz $PKG/usr/man/man6/$PRGNAM-spear-full.6.gz
+
+# icon came from gods know where (somewhere on upstream site)
+# .desktop files written for this build
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
+cp $CWD/*.desktop $PKG/usr/share/applications/
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes.txt README.txt license-*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/doinst.sh > $PKG/usr/doc/$PRGNAM-$VERSION/doinst.sh
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}